From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
Date: Tue, 20 Jun 2017 11:58:39 +0000 (UTC) [thread overview]
Message-ID: <1497959866.6140fa2a38291aae25ddf798fb32e824110d9d25.jer@gentoo> (raw)
commit: 6140fa2a38291aae25ddf798fb32e824110d9d25
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 20 11:57:46 2017 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Jun 20 11:57:46 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6140fa2a
net-firewall/psad: Version bump.
Package-Manager: Portage-2.3.6, Repoman-2.3.2
net-firewall/psad/Manifest | 1 +
net-firewall/psad/psad-2.4.5.ebuild | 93 +++++++++++++++++++++++++++++++++++++
2 files changed, 94 insertions(+)
diff --git a/net-firewall/psad/Manifest b/net-firewall/psad/Manifest
index 6757081ca7d..61a04f9e7ef 100644
--- a/net-firewall/psad/Manifest
+++ b/net-firewall/psad/Manifest
@@ -1,3 +1,4 @@
DIST psad-2.2.5.tar.bz2 1243987 SHA256 736d446266227cb65511d792c85224573c95ea4dc3bde3d5c65bc19084f57452 SHA512 195a06420cf821d182a5422705ba2d407fd35f23887430e61925cad0eada7d20e2416eaf6317857a5aec2f1264a280a7e0128cc301f17dcf20cf833a9f0efb6e WHIRLPOOL fac4797e0a399d4f5edf2179c21d37791d184ee1e334b9b8fb2707405afc10ca0c0d4ab43cd274f34cf8ba9453189066b1d46b955d0533fa357e376ef3817f1f
DIST psad-2.4.3.tar.bz2 1395260 SHA256 e482de4602ab72dba868dcdd1078ad3645d49ab02a9eb116dd117c1a5a20f8c5 SHA512 8a25ef377e3f4f406c2179a42217110a670f1c0eb8e7991e32a99fd695ca1866218274e9aaeb48552e1bd9bd91b5fbf34b226d767c28f1db27f15b08fba2b0e8 WHIRLPOOL a1c06df2cd67baa3e2b519094ffcccd027aab47352c00cd3147a8d3db2366ce8cbea42c37f5e8adcd9c2532af215bd87ed5d925e376cf8d965725e4f5cf4c7ea
DIST psad-2.4.4.tar.bz2 1429113 SHA256 4a8dad05554f779c359fb1091b07b37219dd4321d85e162a5885a11efaec1901 SHA512 0437a489fcb54458dbb33e0139385e577a89db0c07bd872e4e56780feb8033080d59c99aeff419f3c94b22be8fb41995674749123d15f7d578cc8b0a77d7783f WHIRLPOOL 5ab47d1b23659058ed17f484d7b5aa2c2dad5412f06dfde2fc0032ae50c2d25e9ab9a05bcad29547dd9dc69b0268ec7601917d60d4178bf8032f661aa7ef742c
+DIST psad-2.4.5.tar.bz2 1631602 SHA256 2de1115325bd7c95d32ce0bdee5028c43a86c2893203b5fc1ba6bdfe8ba182d1 SHA512 6466cf3191092672557fb6c044c6126290f1d89aea37a20aad1b3eb148b5b8be5bc2cf3700938b91263d7403f776613f304bd491c24a7e16b0975b81f24481a0 WHIRLPOOL 87bbd23cf4419e6a85cbb4fdb7a08dfe3e1aeb10c1542766d4b708a837182dea2859d5db982f2d91a67331b80c2e6728391917964f6dd555b70c3a38f7e7d607
diff --git a/net-firewall/psad/psad-2.4.5.ebuild b/net-firewall/psad/psad-2.4.5.ebuild
new file mode 100644
index 00000000000..fa26cc018d8
--- /dev/null
+++ b/net-firewall/psad/psad-2.4.5.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+#PERL_EXPORT_PHASE_FUNCTIONS=no
+inherit perl-module toolchain-funcs
+
+DESCRIPTION="Port Scanning Attack Detection daemon"
+SRC_URI="http://www.cipherdyne.org/psad/download/${P}.tar.bz2"
+HOMEPAGE="http://www.cipherdyne.org/psad"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
+
+DEPEND="virtual/perl-ExtUtils-MakeMaker"
+RDEPEND="
+ dev-perl/Bit-Vector
+ dev-perl/Date-Calc
+ dev-perl/NetAddr-IP
+ dev-perl/Unix-Syslog
+ net-firewall/iptables
+ net-misc/whois
+ virtual/logger
+ virtual/mailx
+ virtual/perl-Storable
+"
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.2.4-var-run.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's|/usr/bin/gcc|$(CC)|g' \
+ -e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
+ Makefile || die
+ # Fix up default paths
+ sed -i \
+ -e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
+ psad.conf || die
+}
+
+src_configure() {
+ default
+
+ local deps_subdir
+ for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+ cd "${S}"/deps/${deps_subdir} || die
+ SRC_PREP="no" perl-module_src_configure
+ done
+}
+
+src_compile() {
+ tc-export CC
+ default
+
+ local deps_subdir
+ for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+ cd "${S}"/deps/${deps_subdir} || die
+ perl-module_src_compile
+ done
+}
+
+src_install() {
+ newbin misc/pscan psad-pscan
+
+ insinto /usr
+ dosbin kmsgsd psad psadwatchd
+ newsbin fwcheck_psad.pl fwcheck_psad
+
+ insinto /etc/psad
+ doins \
+ *.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
+ protocols signatures
+
+ newinitd init-scripts/psad-init.gentoo psad
+
+ doman doc/*.8
+
+ dodoc doc/BENCHMARK CREDITS Change* doc/FW_EXAMPLE_RULES README \
+ doc/README.SYSLOG doc/SCAN_LOG
+
+ insinto /etc/psad/snort_rules
+ doins deps/snort_rules/*
+
+ local deps_subdir
+ for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+ cd "${S}"/deps/${deps_subdir} || die
+ perl-module_src_install
+ done
+}
next reply other threads:[~2017-06-20 11:58 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-06-20 11:58 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-06-28 7:50 [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/ Sam James
2022-07-02 16:19 David Seifert
2021-09-09 4:22 Sam James
2020-11-29 9:56 David Seifert
2020-11-29 8:20 Agostino Sarubbo
2020-11-29 8:15 Agostino Sarubbo
2020-11-28 13:34 Thomas Deutschmann
2018-08-07 7:25 Jeroen Roovers
2018-08-07 7:25 Jeroen Roovers
2018-05-06 14:16 Aaron Bauman
2017-02-21 5:10 Jeroen Roovers
2015-12-28 7:45 Jeroen Roovers
2015-12-16 8:15 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1497959866.6140fa2a38291aae25ddf798fb32e824110d9d25.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox